SUSE: 2022:3552-1 ImageMagick | LinuxSecurity.com

   SUSE Security Update: Security update for ImageMagick
______________________________________________________________________________

Announcement ID:    SUSE-SU-2022:3552-1
Rating:             low
References:         #1203212 
Cross-References:   CVE-2021-3574
CVSS scores:
                    CVE-2021-3574 (NVD) : 3.3 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:L
                    CVE-2021-3574 (SUSE): 3.3 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:L

Affected Products:
                    SUSE Linux Enterprise Desktop 15-SP3
                    SUSE Linux Enterprise High Performance Computing 15-SP3
                    SUSE Linux Enterprise Module for Desktop Applications 15-SP3
                    SUSE Linux Enterprise Module for Development Tools 15-SP3
                    SUSE Linux Enterprise Server 15-SP3
                    SUSE Linux Enterprise Server for SAP Applications 15-SP3
                    SUSE Linux Enterprise Storage 7.1
                    SUSE Manager Proxy 4.2
                    SUSE Manager Retail Branch Server 4.2
                    SUSE Manager Server 4.2
                    openSUSE Leap 15.3
                    openSUSE Leap 15.4
______________________________________________________________________________

   An update that fixes one vulnerability is now available.

Description:

   This update for ImageMagick fixes the following issues:

   - CVE-2021-3574: Fixed memory leaks with convert command (bsc#1203212).


Patch Instructions:

   To install this SUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Leap 15.4:

      zypper in -t patch openSUSE-SLE-15.4-2022-3552=1

   - openSUSE Leap 15.3:

      zypper in -t patch openSUSE-SLE-15.3-2022-3552=1

   - SUSE Linux Enterprise Module for Development Tools 15-SP3:

      zypper in -t patch SUSE-SLE-Module-Development-Tools-15-SP3-2022-3552=1

   - SUSE Linux Enterprise Module for Desktop Applications 15-SP3:

      zypper in -t patch SUSE-SLE-Module-Desktop-Applications-15-SP3-2022-3552=1



Package List:

   - openSUSE Leap 15.4 (aarch64 ppc64le s390x x86_64):

      libMagick++-7_Q16HDRI4-7.0.7.34-150200.10.39.1
      libMagick++-7_Q16HDRI4-debuginfo-7.0.7.34-150200.10.39.1
      libMagickCore-7_Q16HDRI6-7.0.7.34-150200.10.39.1
      libMagickCore-7_Q16HDRI6-debuginfo-7.0.7.34-150200.10.39.1
      libMagickWand-7_Q16HDRI6-7.0.7.34-150200.10.39.1
      libMagickWand-7_Q16HDRI6-debuginfo-7.0.7.34-150200.10.39.1

   - openSUSE Leap 15.4 (x86_64):

      libMagick++-7_Q16HDRI4-32bit-7.0.7.34-150200.10.39.1
      libMagick++-7_Q16HDRI4-32bit-debuginfo-7.0.7.34-150200.10.39.1
      libMagickCore-7_Q16HDRI6-32bit-7.0.7.34-150200.10.39.1
      libMagickCore-7_Q16HDRI6-32bit-debuginfo-7.0.7.34-150200.10.39.1
      libMagickWand-7_Q16HDRI6-32bit-7.0.7.34-150200.10.39.1
      libMagickWand-7_Q16HDRI6-32bit-debuginfo-7.0.7.34-150200.10.39.1

   - openSUSE Leap 15.3 (aarch64 ppc64le s390x x86_64):

      ImageMagick-7.0.7.34-150200.10.39.1
      ImageMagick-config-7-SUSE-7.0.7.34-150200.10.39.1
      ImageMagick-config-7-upstream-7.0.7.34-150200.10.39.1
      ImageMagick-debuginfo-7.0.7.34-150200.10.39.1
      ImageMagick-debugsource-7.0.7.34-150200.10.39.1
      ImageMagick-devel-7.0.7.34-150200.10.39.1
      ImageMagick-extra-7.0.7.34-150200.10.39.1
      ImageMagick-extra-debuginfo-7.0.7.34-150200.10.39.1
      libMagick++-7_Q16HDRI4-7.0.7.34-150200.10.39.1
      libMagick++-7_Q16HDRI4-debuginfo-7.0.7.34-150200.10.39.1
      libMagick++-devel-7.0.7.34-150200.10.39.1
      libMagickCore-7_Q16HDRI6-7.0.7.34-150200.10.39.1
      libMagickCore-7_Q16HDRI6-debuginfo-7.0.7.34-150200.10.39.1
      libMagickWand-7_Q16HDRI6-7.0.7.34-150200.10.39.1
      libMagickWand-7_Q16HDRI6-debuginfo-7.0.7.34-150200.10.39.1
      perl-PerlMagick-7.0.7.34-150200.10.39.1
      perl-PerlMagick-debuginfo-7.0.7.34-150200.10.39.1

   - openSUSE Leap 15.3 (x86_64):

      ImageMagick-devel-32bit-7.0.7.34-150200.10.39.1
      libMagick++-7_Q16HDRI4-32bit-7.0.7.34-150200.10.39.1
      libMagick++-7_Q16HDRI4-32bit-debuginfo-7.0.7.34-150200.10.39.1
      libMagick++-devel-32bit-7.0.7.34-150200.10.39.1
      libMagickCore-7_Q16HDRI6-32bit-7.0.7.34-150200.10.39.1
      libMagickCore-7_Q16HDRI6-32bit-debuginfo-7.0.7.34-150200.10.39.1
      libMagickWand-7_Q16HDRI6-32bit-7.0.7.34-150200.10.39.1
      libMagickWand-7_Q16HDRI6-32bit-debuginfo-7.0.7.34-150200.10.39.1

   - openSUSE Leap 15.3 (noarch):

      ImageMagick-doc-7.0.7.34-150200.10.39.1

   - SUSE Linux Enterprise Module for Development Tools 15-SP3 (aarch64 ppc64le s390x x86_64):

      ImageMagick-debuginfo-7.0.7.34-150200.10.39.1
      ImageMagick-debugsource-7.0.7.34-150200.10.39.1
      perl-PerlMagick-7.0.7.34-150200.10.39.1
      perl-PerlMagick-debuginfo-7.0.7.34-150200.10.39.1

   - SUSE Linux Enterprise Module for Desktop Applications 15-SP3 (aarch64 ppc64le s390x x86_64):

      ImageMagick-7.0.7.34-150200.10.39.1
      ImageMagick-config-7-SUSE-7.0.7.34-150200.10.39.1
      ImageMagick-config-7-upstream-7.0.7.34-150200.10.39.1
      ImageMagick-debuginfo-7.0.7.34-150200.10.39.1
      ImageMagick-debugsource-7.0.7.34-150200.10.39.1
      ImageMagick-devel-7.0.7.34-150200.10.39.1
      libMagick++-7_Q16HDRI4-7.0.7.34-150200.10.39.1
      libMagick++-7_Q16HDRI4-debuginfo-7.0.7.34-150200.10.39.1
      libMagick++-devel-7.0.7.34-150200.10.39.1
      libMagickCore-7_Q16HDRI6-7.0.7.34-150200.10.39.1
      libMagickCore-7_Q16HDRI6-debuginfo-7.0.7.34-150200.10.39.1
      libMagickWand-7_Q16HDRI6-7.0.7.34-150200.10.39.1
      libMagickWand-7_Q16HDRI6-debuginfo-7.0.7.34-150200.10.39.1


References:

   https://www.suse.com/security/cve/CVE-2021-3574.html
   https://bugzilla.suse.com/1203212

SUSE: 2022:3552-1 ImageMagick

October 7, 2022
An update that fixes one vulnerability is now available

Summary

This update for ImageMagick fixes the following issues: - CVE-2021-3574: Fixed memory leaks with convert command (bsc#1203212). Patch Instructions: To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: - openSUSE Leap 15.4: zypper in -t patch openSUSE-SLE-15.4-2022-3552=1 - openSUSE Leap 15.3: zypper in -t patch openSUSE-SLE-15.3-2022-3552=1 - SUSE Linux Enterprise Module for Development Tools 15-SP3: zypper in -t patch SUSE-SLE-Module-Development-Tools-15-SP3-2022-3552=1 - SUSE Linux Enterprise Module for Desktop Applications 15-SP3: zypper in -t patch SUSE-SLE-Module-Desktop-Applications-15-SP3-2022-3552=1 Package List: - openSUSE Leap 15.4 (aarch64 ppc64le s390x x86_64): libMagick++-7_Q16HDRI4-7.0.7.34-150200.10.39.1 libMagick++-7_Q16HDRI4-debuginfo-7.0.7.34-150200.10.39.1 libMagickCore-7_Q16HDRI6-7.0.7.34-150200.10.39.1 libMagickCore-7_Q16HDRI6-debuginfo-7.0.7.34-150200.10.39.1 libMagickWand-7_Q16HDRI6-7.0.7.34-150200.10.39.1 libMagickWand-7_Q16HDRI6-debuginfo-7.0.7.34-150200.10.39.1 - openSUSE Leap 15.4 (x86_64): libMagick++-7_Q16HDRI4-32bit-7.0.7.34-150200.10.39.1 libMagick++-7_Q16HDRI4-32bit-debuginfo-7.0.7.34-150200.10.39.1 libMagickCore-7_Q16HDRI6-32bit-7.0.7.34-150200.10.39.1 libMagickCore-7_Q16HDRI6-32bit-debuginfo-7.0.7.34-150200.10.39.1 libMagickWand-7_Q16HDRI6-32bit-7.0.7.34-150200.10.39.1 libMagickWand-7_Q16HDRI6-32bit-debuginfo-7.0.7.34-150200.10.39.1 - openSUSE Leap 15.3 (aarch64 ppc64le s390x x86_64): ImageMagick-7.0.7.34-150200.10.39.1 ImageMagick-config-7-SUSE-7.0.7.34-150200.10.39.1 ImageMagick-config-7-upstream-7.0.7.34-150200.10.39.1 ImageMagick-debuginfo-7.0.7.34-150200.10.39.1 ImageMagick-debugsource-7.0.7.34-150200.10.39.1 ImageMagick-devel-7.0.7.34-150200.10.39.1 ImageMagick-extra-7.0.7.34-150200.10.39.1 ImageMagick-extra-debuginfo-7.0.7.34-150200.10.39.1 libMagick++-7_Q16HDRI4-7.0.7.34-150200.10.39.1 libMagick++-7_Q16HDRI4-debuginfo-7.0.7.34-150200.10.39.1 libMagick++-devel-7.0.7.34-150200.10.39.1 libMagickCore-7_Q16HDRI6-7.0.7.34-150200.10.39.1 libMagickCore-7_Q16HDRI6-debuginfo-7.0.7.34-150200.10.39.1 libMagickWand-7_Q16HDRI6-7.0.7.34-150200.10.39.1 libMagickWand-7_Q16HDRI6-debuginfo-7.0.7.34-150200.10.39.1 perl-PerlMagick-7.0.7.34-150200.10.39.1 perl-PerlMagick-debuginfo-7.0.7.34-150200.10.39.1 - openSUSE Leap 15.3 (x86_64): ImageMagick-devel-32bit-7.0.7.34-150200.10.39.1 libMagick++-7_Q16HDRI4-32bit-7.0.7.34-150200.10.39.1 libMagick++-7_Q16HDRI4-32bit-debuginfo-7.0.7.34-150200.10.39.1 libMagick++-devel-32bit-7.0.7.34-150200.10.39.1 libMagickCore-7_Q16HDRI6-32bit-7.0.7.34-150200.10.39.1 libMagickCore-7_Q16HDRI6-32bit-debuginfo-7.0.7.34-150200.10.39.1 libMagickWand-7_Q16HDRI6-32bit-7.0.7.34-150200.10.39.1 libMagickWand-7_Q16HDRI6-32bit-debuginfo-7.0.7.34-150200.10.39.1 - openSUSE Leap 15.3 (noarch): ImageMagick-doc-7.0.7.34-150200.10.39.1 - SUSE Linux Enterprise Module for Development Tools 15-SP3 (aarch64 ppc64le s390x x86_64): ImageMagick-debuginfo-7.0.7.34-150200.10.39.1 ImageMagick-debugsource-7.0.7.34-150200.10.39.1 perl-PerlMagick-7.0.7.34-150200.10.39.1 perl-PerlMagick-debuginfo-7.0.7.34-150200.10.39.1 - SUSE Linux Enterprise Module for Desktop Applications 15-SP3 (aarch64 ppc64le s390x x86_64): ImageMagick-7.0.7.34-150200.10.39.1 ImageMagick-config-7-SUSE-7.0.7.34-150200.10.39.1 ImageMagick-config-7-upstream-7.0.7.34-150200.10.39.1 ImageMagick-debuginfo-7.0.7.34-150200.10.39.1 ImageMagick-debugsource-7.0.7.34-150200.10.39.1 ImageMagick-devel-7.0.7.34-150200.10.39.1 libMagick++-7_Q16HDRI4-7.0.7.34-150200.10.39.1 libMagick++-7_Q16HDRI4-debuginfo-7.0.7.34-150200.10.39.1 libMagick++-devel-7.0.7.34-150200.10.39.1 libMagickCore-7_Q16HDRI6-7.0.7.34-150200.10.39.1 libMagickCore-7_Q16HDRI6-debuginfo-7.0.7.34-150200.10.39.1 libMagickWand-7_Q16HDRI6-7.0.7.34-150200.10.39.1 libMagickWand-7_Q16HDRI6-debuginfo-7.0.7.34-150200.10.39.1

References

#1203212

Cross- CVE-2021-3574

CVSS scores:

CVE-2021-3574 (NVD) : 3.3 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:L

CVE-2021-3574 (SUSE): 3.3 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:L

Affected Products:

SUSE Linux Enterprise Desktop 15-SP3

SUSE Linux Enterprise High Performance Computing 15-SP3

SUSE Linux Enterprise Module for Desktop Applications 15-SP3

SUSE Linux Enterprise Module for Development Tools 15-SP3

SUSE Linux Enterprise Server 15-SP3

SUSE Linux Enterprise Server for SAP Applications 15-SP3

SUSE Linux Enterprise Storage 7.1

SUSE Manager Proxy 4.2

SUSE Manager Retail Branch Server 4.2

SUSE Manager Server 4.2

openSUSE Leap 15.3

openSUSE Leap 15.4

https://www.suse.com/security/cve/CVE-2021-3574.html

https://bugzilla.suse.com/1203212

Severity
Announcement ID: SUSE-SU-2022:3552-1
Rating: low

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.